## carla 1.2.4

=== debian/changelog ===
carla (2:1.2.4-1kxstudio1) lucid; urgency=low

  * New upstream release
  * Build against fixed linuxsampler

 -- falkTX <falktx@gmail.com>  Sat, 08 Feb 2014 09:31:46 +0000

carla (2:1.2.3-2kxstudio1.1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Wed, 25 Dec 2013 23:22:15 +0000

carla (2:1.2.2-2kxstudio1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Mon, 18 Nov 2013 14:34:17 +0000

carla (2:1.2.1-1kxstudio1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Mon, 04 Nov 2013 03:18:11 +0000

carla (2:1.2.0-1kxstudio1) lucid; urgency=low

  * New uptream release

 -- falkTX <falktx@gmail.com>  Sat, 26 Oct 2013 17:59:16 +0100

carla (2:1.1.0-1kxstudio1) lucid; urgency=low

  * Initial release

 -- falkTX <falktx@gmail.com>  Wed, 14 Aug 2013 06:55:06 +0100
