=== debian/control ===
Source: carla
Section: sound
Priority: optional
Maintainer: falkTX <falktx@gmail.com>
Build-Depends: debhelper (>= 8),
  pyqt4-dev-tools,
  libqt4-dev, libgtk2.0-dev,
# libgtk-3-dev,
  libjack-dev, libasound2-dev,
# pulse
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
  liblo-static,
  fluidsynth-static, linuxsampler-static (>= 1.0.0+svn2497-1kxstudio3),
  fftw3-static, mxml-static, zlib-static, ntk-static,
  libsndfile-static, libsmf-static
# ffmpeg-static
Build-Conflicts: liblo-dev, libavcodec-dev, libavformat-dev
Standards-Version: 3.9.2

Package: carla
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-pyqt4, python3-liblo
Recommends: python3-rdflib, python3-pyqt4.qtopengl, carla-bridge-win32
Description: audio plugin host
 Carla is an audio plugin host, with support for many audio drivers
 and plugin formats.
 It has some nice features like automation of parameters via
 MIDI CC (and send output back as MIDI too) and full OSC control.
 .
 Carla currently supports LADSPA (including LRDF), DSSI, LV2, and
 VST plugin formats, plus GIG, SF2 and SFZ file support.
 It uses JACK as the default and preferred audio driver but also
 supports native drivers like ALSA, DirectSound or CoreAudio.
