=== debian/rules ===
#!/usr/bin/make -f

export MOC=moc-qt4
export RCC=rcc
export UIC=uic-qt4
export PATH:=/opt/kxstudio/bin:$(PATH)
export PKG_CONFIG_PATH=/opt/kxstudio/lib/pkgconfig/

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f  $(CURDIR)/source/bridges/liblo.a
	rm -fr $(CURDIR)/source/bridges/lo/

override_dh_auto_configure:
	$(MAKE) features
	dh_auto_configure

override_dh_auto_build:
	$(MAKE)

	# build lv2-gtk* bridges with system glib
	./debian/build-lv2-gtk.sh

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
