## carla 1.9.13

=== debian/changelog ===
carla (1.9.13-0ubuntu1) disco; urgency=medium

  [ Erich Eickmeyer ]
  * Initial release for Ubuntu (LP: #1817264)
    Contains patches to bring Carla up to 2.0-RC4

 -- Ross Gammon <rossgammon@debian.org>  Tue, 05 Mar 2019 20:39:33 +0100
